// pages/home/xx/index.js
const app = getApp();//新建页面时 默认引入
const req = app.xzjlReq();//初始化一个的request() 实例
Page({

    /**
     * 页面的初始数据
     */
    data: {
        ztVisible:false,
        messages:[],
        loverInfo:{},
        hasLover:false,// 是否单身
        userInfo:{},
        Send:false

    },
    closeSend(){
        this.setData({Send: false})
    },
    openSend(){
        this.setData({Send: true})
    },
    openZtVisible(){/**点击纸条按钮 */
        this.setData({ztVisible:true})

    },
    go2Huiyi(){/**跳转到回忆页面 */

    },
    doMessageInfo(){/**查询聊天信息 */
        req.getRequest('/api/user/curt/message/lover',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({messages:res.data.data.records})
            }
           }).catch((err)=>{
            console.log(err);
        })
    },
    doQueryInit(){
        req.getRequest('/api/user/curt',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({hasLover:res.data.data.hasLover})
                this.setData({userInfo:res.data.data})
                if(res.data.data.hasLover){
                    wx.navigateTo({
                        url: '/pages/home/xx/lindex/lindex'
                        })
                }
            
            }
           }).catch((err)=>{
            console.log(err);
        })

        req.getRequest('/api/user/curt/lover',{}).then((res)=>{
            if(res.data.code==200){
                this.setData({loverInfo:res.data.data})
            }
           }).catch((err)=>{
            console.log(err);
        })

        ///api/user/curt/lover


    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.doQueryInit()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {
        this.doQueryInit()
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.doQueryInit()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    toSend(){
        wx.navigateTo({
          url: 'xz/xz'
        })
    }
})